<!DOCTYPE html>
<html lang="en">
    <head>
        <!-- Meta -->
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">

        <!-- JS -->
        <script defer src="scripts/vue.js" type="text/javascript"></script>
        <script defer src="scripts/dashboard.js" type="text/javascript"></script>
        <script src="scripts/uptime.js" type="text/javascript"></script>
        <script src="scripts/utils.js" type="text/javascript"></script>
        <script src="scripts/theme.js" type="text/javascript"></script>
        <script src="scripts/materialize.min.js" type="text/javascript"></script>
        <script>
            setThemeFromStorage();
            document.addEventListener('DOMContentLoaded', function() {
                let elems = document.querySelectorAll('.modal');
                M.Modal.init(elems);

                if (localStorage.getItem("startModal") === null){
                    let elem = document.querySelector('.modal');
                    let instance = M.Modal.getInstance(elem)
                    instance.open();
                }
            });
        </script>
        <script async defer data-website-id="3907915f-9f94-46d6-aade-39964afe8439" src="https://umami.sgart.io/umami.js"></script>


        <!-- CSS -->
        <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
        <link rel="stylesheet" href="css/materialize.min.css" type="text/css">
        <link rel="stylesheet" href="css/index.css" type="text/css">

        <title id="page">Dashboard - sgart.io</title>
    </head>
    <body class="color--primary">
        <div class="container" id="dashboard">
            <div class="row">
                <div class="col s12">
                    <span id="greeting-text" class="page__greeting"></span>
                    <script type="text/javascript">
                        document.getElementById('greeting-text').innerText = getHomepageGreeting() + getUsername();
                    </script>
                </div>
                <div class="col l4 s6 s12 category__card" v-for="category in categories">
                    <span class="category__title">{{ category.title }}</span>
                    <div v-for="item in category.items">
                        <a :href="category.title==='Themes'||category.title==='Social Media'?item.url:'javascript:{executeClick(\''+item.url+'\', \''+item.uptime+'\');}'" :class='"umami--click--"+category.title+"-"+item.title'>
                            <div class="category__item hoverable">
                                <div class="category__image">
                                    <img class="category__image" :src="imageRoot + item.icon" alt="Icon">
                                </div>
                                <div class="category__content">
                                    <span class="item__title">{{ item.title }}</span><br>
                                    {{ item.description }}
                                </div>
                            </div>
                        </a>
                    </div>
                </div>
            </div>
        </div>
        <div id="trackingModal" class="modal">
            <div class="modal-content color--primary">
                <h3 class="color--primary__text">Hey there!</h3>
                <p class="color--secondary__text">
                    I know you don't like being tracked but on this page it's a bit different. The data this page gathers <b>stays on the
                    same server</b> and <b>never leaves it</b>. It is solely used to measure page traffic.
                    The data consists <b>solely</b> of the following:
                </p>
                <ul class="color--secondary__text">
                    <li>Referrer: The page which redirected you to this one</li>
                    <li>Browser: The browser you accessed this page from</li>
                    <li>Operating system: The operating system your device is running</li>
                    <li>Device: The type of your device (eg. mobile, laptop, etc.)</li>
                    <li>Country: The country your in</li>
                    <li>View-Time: I can't see this. It's used to calculate the average view time</li>
                    <li>Unique viewers: Your ip is used to determine if you're a new user or already visited the page</li>
                    <li>Button click: When a link button is clicked</li>
                </ul>
                <p class="color--secondary__text">
                    If you prefer not to be tracked at all, I advise you to use an ad and tracker blocker like AdGuard
                    or something similar.
                </p>
                <a href="javascript:{localStorage.setItem('startModal', 'false'); window.location.replace('./')}" class="color--secondary__text"><b>Don't show this again</b></a>
                <br>
            </div>
        </div>
    </body>
</html>